# -*- coding: utf-8 -*-

from browshot import BrowshotClient
import time

browshot = BrowshotClient('my_api_key')


screenshot = browshot.screenshot_create('http://mobilio.net/', { 'instance_id': 12 })
time.sleep(60)

# Delete the screenshto URL
browshot.screenshot_delete(screenshot['id'], { 'data': 'url' })

info = browshot.screenshot_info(screenshot['id'])
if not 'url' in info or info['url'] == '':
  print "URL has been deleted for screenshot #%d" % int(screenshot['id'])

# Delete the image
browshot.screenshot_delete(screenshot['id'], { 'data': 'image' })
image = browshot.screenshot_thumbnail(screenshot['id'])
if len(image) == 0:
  print "Screenshot for #%d has been deleted" % int(screenshot['id'])

# Delete everything
browshot.screenshot_delete(screenshot['id'], { 'data': 'all' })
